use crate::state::ReqState;
use axum::{extract::State, response::IntoResponse};
use hyper::StatusCode;

pub async fn get(State(state): ReqState) -> impl IntoResponse {
    let file_count = state.files_dir.read_dir();

    if file_count.is_err() {
        return Err(StatusCode::INTERNAL_SERVER_ERROR);
    }

    let file_count = file_count.unwrap().count();
    Ok("u".repeat(file_count).into_response())
}
